%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

%define rel 1

Summary: PHP documentation plugin for kdevelop
Name: kdevelop4-php-docs
Version: 1.7.3
Release: %mkrel %{rel}
Source0: http://download.kde.org/stable/kdevelop/%{kdevelop_ver}/src/kdevelop-php-docs-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel
BuildRequires: kdevplatform4-devel >= 4:%{version}
Requires: kdevelop4-php >= %{version}

%description
This plugin adds PHP documentation-view to KDevelop.

%files -f kdevphpdocs.lang
%_kde_libdir/kde4/kdevphpdocs.so
%_kde_libdir/kde4/kdevphpdocs_config.so
%_kde_datadir/config.kcfg/phpdocssettings.kcfg
%_kde_services/kdevphpdocs.desktop
%_kde_services/kdevphpdocs_config.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-docs-%{version}

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%find_lang kdevphpdocs


%changelog
* Mon Feb 01 2016 zezinho <zezinho> 1.7.3-1.mga5
+ Revision: 930600
- new bugfix version #17664

* Tue Feb 10 2015 lmenut <lmenut> 1.7.1-1.mga5
+ Revision: 814628
- Update to 1.7.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 747471
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-2.mga5
+ Revision: 681015
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.7.0-1.mga5
+ Revision: 668580
- 1.7.0

* Sat Aug 23 2014 fwang <fwang> 1.6.90-1.mga5
+ Revision: 666749
- 1.6.90

* Tue Dec 10 2013 colin <colin> 1.6.0-1.mga4
+ Revision: 556199
- New version: 1.6.0

* Mon Nov 18 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 551708
- new version 1.5.2

* Sat Oct 19 2013 umeabot <umeabot> 1.5.1-2.mga4
+ Revision: 525531
- Mageia 4 Mass Rebuild

* Fri May 31 2013 fwang <fwang> 1.5.1-1.mga4
+ Revision: 433531
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 1.5.0-1.mga4
+ Revision: 425748
- new version 1.5.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 313217
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 307077
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 1.3.90-1.mga3
+ Revision: 292134
- new version 1.3.90

* Sat Aug 04 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 278383
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 1.3.1-1.mga2
+ Revision: 230835
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 222974
- new version 1.3.0 final

* Sat Feb 25 2012 fwang <fwang> 1.2.90-1.mga2
+ Revision: 214286
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 1.2.82-1.mga2
+ Revision: 208708
- new version 1.2.82

* Tue Jan 24 2012 fwang <fwang> 1.2.81-1.mga2
+ Revision: 200516
- imported package kdevelop4-php-docs

